Problems with Amarok (I want 1.4!) and Compiz-Fusion

If you are new to Linux or new to Sabayon Linux and just not sure where to post, here ya go. Post without fear of being told to RTFM :-)

Moderator: Moderators

Problems with Amarok (I want 1.4!) and Compiz-Fusion

Postby metat » Sun Feb 07, 2010 13:52

Hi there, everyone! It's my first post here. I'm new to Sabayon, having used Mandriva 2007 (with KDE3) for about four years and changed to Sabayon less than a month ago. So not only the change of distribution but also KDE4 puzzles me. Here are my problems:

1. I never stopped liking Amarok 1.4. I've got Amarok 2 now, and it, well, sucks. If I do anything while music is playing, Amarok stops playing for about a second. Even rolling down yakuake or opening a folder with Dolphin causes this. But in spite of that I still don't like Amarok 2 very much, and I sure am unable to install the older version. So: How to? You have to remember I come from a world of RPM. I've got a tarball, followed instructions, and ./configure gives:
Code: Select all
configure: error: cannot find sources (acinclude.m4) in . or ..


2. I also really liked my compiz-fusion. My settings were set so that I basically had only one desktop which was placed on four sides of the cube. I could spin the cube with ctrl+alt+left and ctrl+alt+right. That was handy. My current installation of compiz-fusion only provides me with laggy animations of the cube turning up, down, left, or right whenever I click on the Pager. Also if I personalize a desktop, the settings only apply for one of my four desktops. So basically I'd really like, if possible, to have a cube with a "four-in-one" desktop with the upper and lower sides of the cube left unused. I also had Ubuntu installed a while back and it could give me one with no problem.

I guess that's pretty much all I can think of. Otherwise I've liked Sabayon so far.

Can anyone help me, please?

-metat
metat
Baby Hen
 
Posts: 2
Joined: Sun Feb 07, 2010 13:35

Re: Problems with Amarok (I want 1.4!) and Compiz-Fusion

Postby micia » Sun Feb 07, 2010 14:03

Hi! Welcome to the Sabayon forums!

Do not compile manually software, it is strongly discouraged unless you know exactly what you are doing (and if you know, you will try to avoid it :mrgreen: ).

Use sulfur and equo to install the software that you want, if you don't find it, try emerge (which is an advanced tool, though).
for example, using equo, open a console and run:
Code: Select all
su
#root password
equo update
equo install --ask entropy equo sulfur
equo install --ask amarok

the equo install --ask entropy equo sulfur is just to update the package manager, it is not always needed, if you didn't update your system, many packages could be involved.

compiz-fusion is known to have some problems with KDE4, KDE4 has its own desktop effects.
If you were fine with Ubuntu, you could try the Gnome version of Sabayon, even if, doing so, you will miss amarok (unless you want to have also KDE4 libraries installed).
micia
Sagely Hen
 
Posts: 2718
Joined: Wed Nov 26, 2008 16:41

Re: Problems with Amarok (I want 1.4!) and Compiz-Fusion

Postby Sisko43 » Sun Feb 07, 2010 18:55

Welcome!

A while ago I had the same problem. Solved it as follows: Within amarok go to "Settings" -> "Configure Amarok" -> "Collection" and deselect "Watch folders for changes". After that my amarok worked really well. There should be no need to compile it. Just install it via equo/sulfur.
Sisko43
Growing Hen
 
Posts: 195
Joined: Sun Mar 29, 2009 12:59

Re: Problems with Amarok (I want 1.4!) and Compiz-Fusion

Postby metat » Sun Feb 07, 2010 20:00

Sisko43 wrote:There should be no need to compile it. Just install it via equo/sulfur.


I can't find the 1.4 version in there. I'm still looking for that.

Also thanks for the tips, both of you.
metat
Baby Hen
 
Posts: 2
Joined: Sun Feb 07, 2010 13:35

Re: Problems with Amarok (I want 1.4!) and Compiz-Fusion

Postby micia » Sun Feb 07, 2010 20:41

Unfortunately the 1.4 version is (as far as I know) not available in entropy, and using emerge I think that it is only available using the kde-sunset overlay, but you will need a ton of libraries from KDE3.5.

You can see the procedure to obtain it here:
http://amarok.kde.org/wiki/Download:Gentoo
But I would not do it if I were you...

You will have to install a lot of stuff using emerge and a lot of libraries only for amarok.
micia
Sagely Hen
 
Posts: 2718
Joined: Wed Nov 26, 2008 16:41

Re: Problems with Amarok (I want 1.4!) and Compiz-Fusion

Postby Sisko43 » Mon Feb 08, 2010 7:32

I think my think my first post is a little misleading. I meant you should give amarok 2 a second chance. The current version is good to handle and when you deselect the above mentioned option your sound problem should vanish. In my case it helped.
Sisko43
Growing Hen
 
Posts: 195
Joined: Sun Mar 29, 2009 12:59


Return to Beginners|Newbies Area

Who is online

Users browsing this forum: No registered users and 2 guests

cron